/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include "project.h"

int main(void)
{
    CyGlobalIntEnable; /* Enable global interrupts. */

    /* Place your initialization/startup code here (e.g. MyInst_Start()) */
    IDAC_Start();
    uint32 regVal;
    for(;;)
    {
        /* Place your application code here. */
        if(Pin_2_Read() == 0)
        {
            uint8 enableInterrupts;

            enableInterrupts = CyEnterCriticalSection();
            regVal  = IDAC_CSD_TRIM1_REG & ~(IDAC_CSD_IDAC_TRIM1_MASK);
            regVal |=  (IDAC_SFLASH_TRIM1_REG & IDAC_CSD_IDAC_TRIM1_MASK);
            IDAC_CSD_TRIM1_REG = regVal;
            /* clear previous values */
            IDAC_IDAC_CONTROL_REG &= ((uint32)~((uint32)IDAC_IDAC_VALUE_MASK <<
                IDAC_IDAC_VALUE_POSITION)) | ((uint32)~((uint32)IDAC_IDAC_MODE_MASK <<
                IDAC_IDAC_MODE_POSITION))  | ((uint32)~((uint32)IDAC_IDAC_RANGE_MASK  <<
                IDAC_IDAC_RANGE_POSITION));

            IDAC_IDAC_POLARITY_CONTROL_REG &= (~(uint32)((uint32)IDAC_IDAC_POLARITY_MASK <<
                IDAC_IDAC_POLARITY_POSITION));

            /* set new configuration */
            IDAC_IDAC_CONTROL_REG |= (((uint32)IDAC_IDAC_INIT_VALUE <<
                IDAC_IDAC_VALUE_POSITION) | ((uint32)IDAC_IDAC_RANGE <<
                IDAC_IDAC_RANGE_POSITION));
            /* 255 << 0 | 1<<0+10 */

            IDAC_IDAC_POLARITY_CONTROL_REG |= ((uint32)!(IDAC_IDAC_POLARITY) <<
                                                                   IDAC_IDAC_POLARITY_POSITION);
             CyExitCriticalSection(enableInterrupts);

            while(1);
        }
        
    }
}

/* [] END OF FILE */
